part of 'fragment_container.dart';

abstract class FragmentManager {
  FragmentContainer get container;

  FragmentStack get currentFragment;

  LiveData<bool> get canGoBack;

  LiveData<bool> get canGoForward;

  void navigateTo<T extends Fragment>({bool forward = true, dynamic args});

  void navigateToKey(FragmentKey key, {bool forward = true, dynamic args});

  bool back({bool forward = false});

  bool forward({bool forward = true});
}
